{ lib
, stdenvNoCC
, zlib
, fetchFromGitHub
, scons
, pkg-config
, clang_15
, clang-tools_15
, gnutls
}:

stdenvNoCC.mkDerivation {
  pname = "forstio";
  version = "0.0.0";

  nativeBuildInputs = [
    scons
    clang_15
    clang-tools_15
  ];

  buildInputs = [
    gnutls
  ];

  src = ./..;

  doCheck = true;
  enableParallelBuilding = true;

  outputs = ["out" "dev"];

  meta = with lib; {
    homepage = "https://github.com/keldu/forstio";
    description = "An asynchronous framework with some additional network features";
    platforms = platforms.unix;
    maintainers = with maintainers; [keldu];
  };
}

